<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.system.mapper.TRBaseCodeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.system.entity.TRBaseCode">
        <id column="BASECODEID" property="basecodeid" />
        <result column="CODEID" property="codeid" />
        <result column="CODE" property="code" />
        <result column="NAME" property="name" />
        <result column="COMM" property="comm" />
        <result column="ISGB" property="isgb" />
        <result column="AREA_CODE" property="areaCode" />
        <result column="LAUPTIME" property="lauptime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        BASECODEID, CODEID, CODE, NAME, COMM, ISGB, AREA_CODE, LAUPTIME
    </sql>

    <select id="getRegorgName" resultType="string">
        select sregorgname from gzaiccode where scountrycode = #{code}
    </select>

    <select id="queryOrgName" resultType="java.util.Map">
        select orgNumber AS "orgNumber", orgUnitName AS "orgUnitName" from cxaicorg.t_orgunits to2 where orgNumber like '15%'
    </select>

    <select id="queryEntType" resultType="java.util.Map">
        select ENTTYPEID, DISPLAYVALUE from aiccs.trentprisetype t
    </select>

</mapper>
